type ParseFileMethod = (file: File) => Promise<any>;
type UploadPayload = {
    onProgress?: (p: number) => void;
    signal?: AbortSignal;
};
type UploadFileMethod = (file: File, payload?: UploadPayload) => Promise<any>;
declare class ServiceUtil {
    private static instance;
    private _parseFileImpl?;
    private _uploadFileImpl?;
    private constructor();
    /**
     * 获取 ServiceUtil 单例实例
     */
    static getInstance(): ServiceUtil;
    /**
     * 初始化/注册实现方法
     * @param handlers - 包含 parseFile 和 uploadFile 实现的对象
     */
    register(handlers?: {
        parseFile?: ParseFileMethod;
        uploadFile?: UploadFileMethod;
    }): void;
    /**
     * 解析文件
     * @param file - 文件对象
     */
    parseFile(file: File): Promise<any>;
    /**
     * 上传文件
     * @param file - 文件对象
     */
    uploadFile(file: File, payload?: UploadPayload): Promise<any>;
}
declare const serviceUtil: ServiceUtil;
export default serviceUtil;
